(define "_GNU_SOURCE")

(include "sys/ioctl.h")

(in-package :iolib-posix)

;;
;; from sys/ioctl.h
;;

(constant (siocgifname "SIOCGIFNAME"))
(constant (siocsiflink "SIOCSIFLINK"))
(constant (siocgifconf "SIOCGIFCONF"))
(constant (siocgifflags "SIOCGIFFLAGS"))
(constant (siocsifflags "SIOCSIFFLAGS"))
(constant (siocgifaddr "SIOCGIFADDR"))
(constant (siocsifaddr "SIOCSIFADDR"))
(constant (siocgifdstaddr "SIOCGIFDSTADDR"))
(constant (siocsifdstaddr "SIOCSIFDSTADDR"))
(constant (siocgifbrdaddr "SIOCGIFBRDADDR"))
(constant (siocsifbrdaddr "SIOCSIFBRDADDR"))
(constant (siocgifnetmask "SIOCGIFNETMASK"))
(constant (siocsifnetmask "SIOCSIFNETMASK"))
(constant (siocgifmetric "SIOCGIFMETRIC"))
(constant (siocsifmetric "SIOCSIFMETRIC"))
(constant (siocgifmem "SIOCGIFMEM"))
(constant (siocsifmem "SIOCSIFMEM"))
(constant (siocgifmtu "SIOCGIFMTU"))
(constant (siocsifmtu "SIOCSIFMTU"))
(constant (siocsifname "SIOCSIFNAME"))
(constant (siocsifhwaddr "SIOCSIFHWADDR"))
(constant (siocgifencap "SIOCGIFENCAP"))
(constant (siocsifencap "SIOCSIFENCAP"))
(constant (siocgifhwaddr "SIOCGIFHWADDR"))
(constant (siocgifslave "SIOCGIFSLAVE"))
(constant (siocsifslave "SIOCSIFSLAVE"))
(constant (siocaddmulti "SIOCADDMULTI"))
(constant (siocdelmulti "SIOCDELMULTI"))
(constant (siocgifindex "SIOCGIFINDEX"))
(constant (siogifindex "SIOGIFINDEX"))
(constant (siocsifpflags "SIOCSIFPFLAGS"))
(constant (siocgifpflags "SIOCGIFPFLAGS"))
(constant (siocdifaddr "SIOCDIFADDR"))
(constant (siocsifhwbroadcast "SIOCSIFHWBROADCAST"))
(constant (siocgifcount "SIOCGIFCOUNT"))

(constant (siocgifbr "SIOCGIFBR"))
(constant (siocsifbr "SIOCSIFBR"))

(constant (siocgiftxqlen "SIOCGIFTXQLEN"))
(constant (siocsiftxqlen "SIOCSIFTXQLEN"))

(constant (siocdarp "SIOCDARP"))
(constant (siocgarp "SIOCGARP"))
(constant (siocsarp "SIOCSARP"))

(constant (siocdrarp "SIOCDRARP"))
(constant (siocgrarp "SIOCGRARP"))
(constant (siocsrarp "SIOCSRARP"))

(constant (siocgifmap "SIOCGIFMAP"))
(constant (siocsifmap "SIOCSIFMAP"))

(constant (siocadddlci "SIOCADDDLCI"))
(constant (siocdeldlci "SIOCDELDLCI"))

(constant (siocdevprivate "SIOCDEVPRIVATE"))

(constant (siocprotoprivate "SIOCPROTOPRIVATE"))

(constant (tcgets "TCGETS"))
(constant (tcsets "TCSETS"))
(constant (tcsetsw "TCSETSW"))
(constant (tcsetsf "TCSETSF"))
(constant (tcgeta "TCGETA"))
(constant (tcseta "TCSETA"))
(constant (tcsetaw "TCSETAW"))
(constant (tcsetaf "TCSETAF"))
(constant (tcsbrk "TCSBRK"))
(constant (tcxonc "TCXONC"))
(constant (tcflsh "TCFLSH"))
(constant (tiocexcl "TIOCEXCL"))
(constant (tiocnxcl "TIOCNXCL"))
(constant (tiocsctty "TIOCSCTTY"))
(constant (tiocgpgrp "TIOCGPGRP"))
(constant (tiocspgrp "TIOCSPGRP"))
(constant (tiocoutq "TIOCOUTQ"))
(constant (tiocsti "TIOCSTI"))
(constant (tiocgwinsz "TIOCGWINSZ"))
(constant (tiocswinsz "TIOCSWINSZ"))
(constant (tiocmget "TIOCMGET"))
(constant (tiocmbis "TIOCMBIS"))
(constant (tiocmbic "TIOCMBIC"))
(constant (tiocmset "TIOCMSET"))
(constant (tiocgsoftcar "TIOCGSOFTCAR"))
(constant (tiocssoftcar "TIOCSSOFTCAR"))
(constant (fionread "FIONREAD"))
(constant (tiocinq "TIOCINQ"))
(constant (tioclinux "TIOCLINUX"))
(constant (tioccons "TIOCCONS"))
(constant (tiocgserial "TIOCGSERIAL"))
(constant (tiocsserial "TIOCSSERIAL"))
(constant (tiocpkt "TIOCPKT"))
(constant (fionbio "FIONBIO"))
(constant (tiocnotty "TIOCNOTTY"))
(constant (tiocsetd "TIOCSETD"))
(constant (tiocgetd "TIOCGETD"))
(constant (tcsbrkp "TCSBRKP"))
(constant (tiocsbrk "TIOCSBRK"))
(constant (tioccbrk "TIOCCBRK"))
(constant (tiocgsid "TIOCGSID"))
(constant (tiocgptn "TIOCGPTN"))
(constant (tiocsptlck "TIOCSPTLCK"))

(constant (fionclex "FIONCLEX"))
(constant (fioclex "FIOCLEX"))
(constant (fioasync "FIOASYNC"))
(constant (tiocserconfig "TIOCSERCONFIG"))
(constant (tiocsergwild "TIOCSERGWILD"))
(constant (tiocserswild "TIOCSERSWILD"))
(constant (tiocglcktrmios "TIOCGLCKTRMIOS"))
(constant (tiocslcktrmios "TIOCSLCKTRMIOS"))
(constant (tiocsergstruct "TIOCSERGSTRUCT"))
(constant (tiocsergetlsr "TIOCSERGETLSR"))
(constant (tiocsergetmulti "TIOCSERGETMULTI"))
(constant (tiocsersetmulti "TIOCSERSETMULTI"))

(constant (tiocmiwait "TIOCMIWAIT"))
(constant (tiocgicount "TIOCGICOUNT"))
(constant (tiocghayesesp "TIOCGHAYESESP"))
(constant (tiocshayesesp "TIOCSHAYESESP"))
(constant (fioqsize "FIOQSIZE"))

(constant (tiocpkt "TIOCPKT"))
(constant (tiocpkt "TIOCPKT"))
(constant (tiocpkt "TIOCPKT"))
(constant (tiocpkt "TIOCPKT"))
(constant (tiocpkt "TIOCPKT"))
(constant (tiocpkt "TIOCPKT"))
(constant (tiocpkt "TIOCPKT"))
