;; -*- Mode: Lisp; Syntax: ANSI-Common-Lisp -*-

(in-package :iolib-posix)

(defun fd-open-p (fd)
  (with-foreign-object (stat 'et:stat)
    (handler-case
        (progn (et:stat fd stat) t)
      (et:unix-error-badf (err)
        (declare (ignore err))
        nil))))
